cursor macro
call cursorf
#EM

getchar macro
push bx
call getcf
pop bx
#EM

pause macro
push bx
call waitf
pop bx
#EM

putva macro   ; put variable coords
push bx
push ax
mov ax, #1   ; store char
mov bh, #2   ; store row #
mov bl, #3   ; store col #
call putcalca
pop ax
pop bx
#EM

putv macro   ; put variable coords
push bx
push ax
mov al, #1   ; store char
mov bh, #2   ; store row #
mov bl, #3   ; store col #
call putcalc
pop ax
pop bx
#EM

putcc macro   ; put constant coords
push bx
mov bx, (160*#2)+(2*#3)  ; calculate video mem address
mov es:[bx] B, #1       ; set the char
pop bx
#EM

putc macro
mov es:[bx] B, #1
#EM

setes macro  ; set es for video memory
push bx
mov bx, 0B800h
mov es,bx
pop bx
#EM

fill macro
push ax
push bx
push cx
push dx
mov ax, #1
mov bh, #2
mov bl, #3
mov dl, bl ; Store first column for Newline
mov ch, #4
mov cl, #5
call filler
pop dx
pop cx
pop bx
pop ax
#EM

sout macro
push ax
push bx
push cx
mov bx, #1
mov ah, #2
mov al, #3
call soutf
pop cx
pop bx
pop ax
#EM

setes

quit macro
mov ax, 4C00h
int 20h
#EM
