mkdir:
        mov si,offset(cmd)                      ;si contains pointer to dir name
	push bx
	mov bx, 64512	;check root for space
	push dx
	;mov dx, bx
	;add dx, 1024
;temporary(until i rewrite initial fat):
	add bx, 32 ; prevents overwriting program 
findspace:
	cmp cs:[bx] B,0
	je gotspace
	add bx,16
	jno findspace	;jump not overflow because root+1024=65536
pop dx
pop bx
ret					;error: no free space
gotspace:	; address of fat entry for free space in bx
	push di	
	mov di, bx
	push bx
	call strcpyf	;copy dir name to parent listing
	pop bx
	pop di

	;sub bx, cs:[offset(curdir)]	; get just fat offset
	sub bx, 64512	; get just fat offset
	add bx, cs:[offset(curdir)]
	shl bx, 6		; bx now points to new fat
	mov dx, bx
	add dx, 1024
	clearfat:
		mov cs:[bx] B, 0
		add bx, 16
		cmp bx, dx
		jne clearfat

	mov dx, cs:[offset(curdir)]		; now generate the new fat
	;putc ' '
	;itoa message, dx
	;puts message
	shr dx, 6		; calculate offset of parent for (..)
	;putc '-'
	;putc '>'
	;itoa message, dx
	;puts message
	sub bx, 1024		;because it was left at the end after the clear
	add bx, dx
	mov cs:[bx] B, '.'
	inc bx
	mov cs:[bx] B, '.'
	inc bx
	mov cs:[bx] B, 0
pop dx
pop bx
ret		; Will fix the visibility of children's files problem later

;---------------FUTURE CODE--------------------------------------------
        ;EXPAND THIS: strcpy(curdir[bx],cs:[si]) ;add to current directory
	;push dx
	mkrecur:				;now delete from all subdirs
                mov dx,si
		mkfindpar:
                        strcmp cs:[dotdot],cs:[si] 
			je mkgotpar
                        add si,16
                        cmp si,1024
		jne mkfindpar 
		pop dx
		pop bx
		ret			;in case there is an error and no .. exists
                mkgotpar:                               ;parent block found and is in si
                        sub si,dx
                        cmp si,0                ;if parent is the first block, this is root
			jne goadd
			pop dx
			pop bx
			ret
		goadd:
                        sal si, 6               ;first calculate pointer to parent dir file
                        add si,bx               ;add offset of new file
			mov curdir[bx] B,10	;hidden file (LF)
                        ;EXPAND THIS: strcpy(curdir[bx+1],cs:[si])       ;write the filename after the LF
                        inc bx
			strcpy curdir[bx],cs:[si]
			dec bx
			sub si,bx               ;undo offset for recursion
	jmp mkrecur
	
	
